/*=========================================
 * Most Simple Theremin
 *=========================================
 * 12. december 2018 W.Spahn 
 * 
 * http://dernulleffekt.de
 *
 *  PWM9-----------Piezo-------------GND
 *
 *  A0-------------Wire
 *
 */


int PiezoPin = 9;                   // connect the piezo to pin 9
int PieceOfWire;


void setup(){
  pinMode(PiezoPin, OUTPUT);         // set the pin for the piezo as an output
  //Serial.begin(9600);             // start the serial communication
}

void loop(){
  PieceOfWire = analogRead(0);        // read the values at the wire pin and store them into the variable
  digitalWrite(PiezoPin, HIGH);       // turn the piezo on
  delayMicroseconds(PieceOfWire);      // wait (1000 microseconds are 1 millisecond; 1000 millisecond are one second)
  digitalWrite(PiezoPin, LOW);        // turn the piezo off
  delayMicroseconds(PieceOfWire);      // wait
  //Serial.println(PieceOfWire);      // print the value of the variable
}
